Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 607734 - yum update failed with bad key id
yum update failed with bad key id
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rpm (Show other bugs)
5.4
x86_64 Linux
low Severity medium
: rc
: ---
Assigned To: packaging-team-maint
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-24 12:51 EDT by Terre Porter
Modified: 2013-03-07 10:22 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-07 10:22:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Terre Porter 2010-06-24 12:51:03 EDT
Description of problem:
Yum update failed with a message to put in a bug report.

Version-Release number of selected component (if applicable):

yum-fastestmirror-1.1.16-14.el5.centos.1
yum-3.2.22-26.el5.centos
yum-metadata-parser-1.1.2-3.el5.centos
yum-updatesd-0.9-2.el5

How reproducible:
Unknown

Actual results:

#yum update
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
 * addons: centos.omnispring.com
 * base: yum.singlehop.com
 * extras: mirror.trouble-free.net
 * rpmforge: fr2.rpmfind.net
 * updates: yum.singlehop.com
base/primary_db                                                                                          | 2.1 MB     00:02
extras                                                                                                   | 2.1 kB     00:00
extras/primary_db                                                                                        | 226 kB     00:00
rpmforge                                                                                                 | 1.1 kB     00:00
rpmforge/primary                                                                                         | 3.6 MB     00:08
rpmforge                                                                                                            10089/10089
updates                                                                                                  | 1.9 kB     00:00
updates/primary_db                                                                                       | 324 kB     00:00
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package cups.x86_64 1:1.3.7-18.el5_5.4 set to be updated
---> Package cups-libs.i386 1:1.3.7-18.el5_5.4 set to be updated
---> Package cups-libs.x86_64 1:1.3.7-18.el5_5.4 set to be updated
---> Package esc.x86_64 0:1.1.0-12.el5 set to be updated
---> Package lftp.x86_64 0:4.0.9-1.el5.rf set to be updated
---> Package libsmbclient.x86_64 0:3.0.33-3.29.el5_5 set to be updated
---> Package samba.x86_64 0:3.0.33-3.29.el5_5 set to be updated
---> Package samba-client.x86_64 0:3.0.33-3.29.el5_5 set to be updated
---> Package samba-common.x86_64 0:3.0.33-3.29.el5_5 set to be updated
---> Package xulrunner.x86_64 0:1.9.2.4-9.el5 set to be updated
---> Package yelp.x86_64 0:2.16.0-26.el5 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================================================================
 Package                        Arch                     Version                               Repository                  Size
================================================================================================================================
Updating:
 cups                           x86_64                   1:1.3.7-18.el5_5.4                    updates                    3.1 M
 cups-libs                      i386                     1:1.3.7-18.el5_5.4                    updates                    198 k
 cups-libs                      x86_64                   1:1.3.7-18.el5_5.4                    updates                    194 k
 esc                            x86_64                   1.1.0-12.el5                          updates                    547 k
 lftp                           x86_64                   4.0.9-1.el5.rf                        rpmforge                   2.2 M
 libsmbclient                   x86_64                   3.0.33-3.29.el5_5                     updates                    916 k
 samba                          x86_64                   3.0.33-3.29.el5_5                     updates                     16 M
 samba-client                   x86_64                   3.0.33-3.29.el5_5                     updates                    5.7 M
 samba-common                   x86_64                   3.0.33-3.29.el5_5                     updates                    6.8 M
 xulrunner                      x86_64                   1.9.2.4-9.el5                         updates                     11 M
 yelp                           x86_64                   2.16.0-26.el5                         updates                    583 k

Transaction Summary
================================================================================================================================
Install       0 Package(s)
Upgrade      11 Package(s)

Total download size: 47 M
Is this ok [y/N]: y
Downloading Packages:
(1/11): cups-libs-1.3.7-18.el5_5.4.x86_64.rpm                                                            | 194 kB     00:00
(2/11): cups-libs-1.3.7-18.el5_5.4.i386.rpm                                                              | 198 kB     00:00
(3/11): esc-1.1.0-12.el5.x86_64.rpm                                                                      | 547 kB     00:00
(4/11): yelp-2.16.0-26.el5.x86_64.rpm                                                                    | 583 kB     00:00
(5/11): libsmbclient-3.0.33-3.29.el5_5.x86_64.rpm                                                        | 916 kB     00:01
(6/11): lftp-4.0.9-1.el5.rf.x86_64.rpm                                                                   | 2.2 MB     00:03
(7/11): cups-1.3.7-18.el5_5.4.x86_64.rpm                                                                 | 3.1 MB     00:04
(8/11): samba-client-3.0.33-3.29.el5_5.x86_64.rpm                                                        | 5.7 MB     00:07
(9/11): samba-common-3.0.33-3.29.el5_5.x86_64.rpm                                                        | 6.8 MB     00:08
(10/11): xulrunner-1.9.2.4-9.el5.x86_64.rpm                                                              |  11 MB     00:14
(11/11): samba-3.0.33-3.29.el5_5.x86_64.rpm                                                              |  16 MB     00:21
--------------------------------------------------------------------------------------------------------------------------------
Total                                                                                           735 kB/s |  47 MB     01:06
Running rpm_check_debug
error: rpmdbNextIterator: skipping h#     461 Header V3 DSA signature: BAD, key ID e8562897
error: rpmdbNextIterator: skipping h#     461 Header V3 DSA signature: BAD, key ID e8562897
error: rpmdbNextIterator: skipping h#     983 Header V3 DSA signature: BAD, key ID e8562897
error: rpmdbNextIterator: skipping h#     983 Header V3 DSA signature: BAD, key ID e8562897
error: rpmdbNextIterator: skipping h#     983 Header V3 DSA signature: BAD, key ID e8562897
error: rpmdbNextIterator: skipping h#     983 Header V3 DSA signature: BAD, key ID e8562897
error: rpmdbNextIterator: skipping h#     983 Header V3 DSA signature: BAD, key ID e8562897
error: rpmdbNextIterator: skipping h#     983 Header V3 DSA signature: BAD, key ID e8562897
error: rpmdbNextIterator: skipping h#     983 Header V3 DSA signature: BAD, key ID e8562897
error: rpmdbNextIterator: skipping h#     983 Header V3 DSA signature: BAD, key ID e8562897
error: rpmdbNextIterator: skipping h#     983 Header V3 DSA signature: BAD, key ID e8562897
error: rpmdbNextIterator: skipping h#     983 Header V3 DSA signature: BAD, key ID e8562897
ERROR with rpm_check_debug vs depsolve:
/usr/bin/perl is needed by samba-client-3.0.33-3.29.el5_5.x86_64
/usr/bin/perl is needed by samba-3.0.33-3.29.el5_5.x86_64
perl(Carp) is needed by samba-3.0.33-3.29.el5_5.x86_64
perl(Getopt::Long) is needed by samba-3.0.33-3.29.el5_5.x86_64
perl(Getopt::Std) is needed by samba-3.0.33-3.29.el5_5.x86_64
perl(IO::Socket) is needed by samba-3.0.33-3.29.el5_5.x86_64
perl(POSIX) is needed by samba-3.0.33-3.29.el5_5.x86_64
perl(Time::Local) is needed by samba-3.0.33-3.29.el5_5.x86_64
perl(strict) is needed by samba-3.0.33-3.29.el5_5.x86_64
/usr/bin/perl is needed by lftp-4.0.9-1.el5.rf.x86_64
perl(Digest::MD5) is needed by lftp-4.0.9-1.el5.rf.x86_64
perl(strict) is needed by lftp-4.0.9-1.el5.rf.x86_64
Complete!
(1, [u'Please report this error in https://bugzilla.redhat.com/enter_bug.cgi?product=Red%20Hat%20Enterprise%20Linux%205&component=yum'])

Additional info:

I think I fixed the issue by rebuilding the rpm database.

init 1
cd /var/lib/rpm
mv Pubkeys Pubkeys.old
rpm --rebuilddb 

Removing the db's and rebuilding did not remove the errors, had to mv the Pubkeys then rebuild.
Comment 1 seth vidal 2010-06-24 13:22:17 EDT
reassigning to rpm.
Comment 2 Florian Festi 2013-03-07 10:22:02 EST
Looks like the rpmdb was damaged before the transaction already. This can happen if rpm is killed while working on the database.

Note You need to log in before you can comment on or make changes to this bug.